### Method

# PapersView DocumentModel set_annotation_editing_state

since: 48.0

#### Declaration [src]

    void
    pps_document_model_set_annotation_editing_state (
      PpsDocumentModel* model,
      PpsAnnotationEditingState state
    )

#### Description [src]

Sets the current editing state. In a `PpsView`, This implies that editing widgets for annotations may be shown and annotations not rendered by the backend.

Available since: 48.0

Sets property | `PapersView.DocumentModel:annotation-editing-state`

#### Parameters

`state`

  Type: `PpsAnnotationEditingState`

  The editing state of annotation.